<?
	session_start();
	header('Content-Type: image/gif');
	if(!isset($_GET['key'])) { $n=$_GET['key'] ; } else { $n = base64_decode($_GET['key']); }
	$n = $_SESSION['key'];
	$k1 = $_SESSION['key1'];
	$k2 = $_SESSION['key2'];		
//arreglo de letras
	$letra[0]= "a";
	$letra[1]= "b";
	$letra[2]= "c";
	$letra[3]= "d";
	$letra[4]= "e";
	$letra[5]= "f";
	$letra[6]= "g";
	$letra[7]= "h";
	$letra[8]= "i";
	$letra[9]= "j";
	$letra[10]= "k";
	$letra[11]= "l";
	$letra[12]= "m";
	$letra[13]= "n";
	$letra[14]= "o";
	$letra[15]= "p";
	$letra[16]= "q";
	$letra[17]= "r";
	$letra[18]= "s";
	$letra[19]= "t";
	$letra[20]= "u";
	$letra[21]= "v";
	$letra[22]= "w";
	$letra[23]= "x";
	$letra[24]= "y";
	$letra[25]= "z";

$num = 0;
$a = "";
$cad = "";
	$a = $letra[0].$letra[$k1].$letra[2].$letra[$k2].$letra[4];


	// Se establece el cabecero del documento, en este ejemplo será del tipo Imagen GIF
	// Nota: El archivo GIF tiene mejor compresión ;)
	
	// Se genera el área del gráfico
	$grafico = imagecreate(150, 40);
	// El primer color establecido será el color de fondo
	$fondo = imagecolorallocate($grafico, 10, 44, 80);
	// El siguiente color establecido será el color del texto
	$color = imagecolorallocate($grafico, 255, 255, 255);
	// Se establece el margen inicial para cada caracter escrito
	$margen = 15;

	// Se obtiene cada caracter de la cadena usando el loop for()
	 for($x = 0; $x < strlen($n); $x++) {
		// Se extrae la cadena usando la función substr()
		// La inclinación será 10 o -10 segun sea si el número de caracter es par o no
		if(($x % 2)==0) 
		{ $rend = 10; 
		$c = substr($n,$x,1);
		$cad = $cad.$c;
			} 
		else 
		{ $rend = -10; 
		$c = substr($a,$x,1);
		$cad = $cad.$c;			
		}
		// Se escribe el caracter en el gráfico
		imagettftext($grafico, 15, $rend, $margen, 25, $color, 'arial.ttf', $c);
		// Se incrementa el margen del siguiente caracter a escribir, en caso de existir
		$margen += 30;
}

	// Se obtiene el gráfico para mostrar en el navegador
	imagegif($grafico);
	// Destruye la imagen creada liberando la memoria
	imagedestroy($grafico);

?>
